	set TZ=EST+05
	break off
:OPUS
	opus %1 %2
	if errorlevel 120 goto LASTCALL
	if errorlevel 105 goto SYSOUT
	if errorlevel 100 goto OUTSIDE
	if errorlevel 69 goto OVERSEA
	if errorlevel 66 goto FIDO
	if errorlevel 1 goto END
:LASTCALL
	mailchek update 0/x 12/x 14/x 55/x
	orun %1
:PREMAIL
	scanmail run -delay
	goto OPUS
:POSTMAIL
	arcmail from all
	tossmail run
	mailchek compile 0/x 12/x 14/x 55/x
	goto OPUS
:OUTSIDE
	outdoor /rc:\fido\doors\ /pc:\fido\doors\
	o_fixout %1
	echo off
	ctty com1
	outer /1 128/v 60/l
	ctty con
	baud
	if errorlevel 11 orun c %1 -b2400
	if errorlevel 8 orun c %1 -b1200
	if errorlevel 6 orun c %1 -b300
	goto LASTCALL
:SYSOUT
	outer /1 128/v
	goto OPUS
:OVERSEA
	ren nodelist.sys local.sys
	ren nodelist.idx local.idx
	ren overseas.* nodelist.*
	goto GOFIDO
:LOCAL
	ren nodelist.sys overseas.sys
	ren nodelist.idx overseas.idx
	ren local.* nodelist.*
	goto OPUS
:FIDO
	scanmail run
:GOFIDO
	fido_ibm/m 12/j 128/v
	if errorlevel 35 goto POSTMAIL
	if errorlevel 30 goto OVERSEA
	if errorlevel 25 goto LOCAL
:END
	break on
